## org.eclipse.datatools.sqltools.result.internal.export
Interface OutputterConstants

    public interface OutputterConstants

Author:
  Dafan Yang

Field Summary
`static java.lang.String` `COLUMN_ALIGNED` five type of delimiters *
`static java.lang.String` `COMMA_SEPARATED`
`static java.lang.String` `CSV_OUTPUTTER_ID`
`static java.lang.String` `CSV_SEPARATED`
`static java.lang.String` `DEFAULT_USER_DEFINED_DEMILITER`
`static java.lang.String` `DELIMITER_COLUMN`
`static java.lang.String` `DELIMITER_COMMA`
`static java.lang.String` `DELIMITER_TAB`
`static java.lang.String` `EXTENSION_POINT_NAME`
`static java.lang.String` `HTML_OUTPUTTER_ID`
`static java.lang.String[]` `OUTPUT_FORMATS`
`static java.lang.String` `OUTPUTTER_CLASS`
`static java.lang.String` `OUTPUTTER_EXTENSION_FILTER`
`static java.lang.String` `OUTPUTTER_FILE_EXT`
`static java.lang.String` `OUTPUTTER_ID`
`static java.lang.String` `OUTPUTTER_NAME`
`static java.lang.String` `OUTPUTTER_SUPPORT_DELIMITER`
`static java.lang.String` `OUTPUTTER_SUPPORT_XML`
`static java.lang.String` `PLAIN_TXT_OUTPUTTER_ID`
`static java.lang.String` `RESOURCE_TYPE`
`static java.lang.String` `TAB_DELIMITED`
`static java.lang.String` `USER_DEFINED`
`static int` `USER_DEFINED_DELIMITER_COUNT`
`static java.lang.String` `XML_OUTPUTTER_ID`

Field Detail

### EXTENSION_POINT_NAME

    static final java.lang.String EXTENSION_POINT_NAME

See Also:
  Constant Field Values

### OUTPUTTER_ID

    static final java.lang.String OUTPUTTER_ID

See Also:
  Constant Field Values

### OUTPUTTER_NAME

    static final java.lang.String OUTPUTTER_NAME

See Also:
  Constant Field Values

### OUTPUTTER_FILE_EXT

    static final java.lang.String OUTPUTTER_FILE_EXT

See Also:
  Constant Field Values

### OUTPUTTER_SUPPORT_DELIMITER

    static final java.lang.String OUTPUTTER_SUPPORT_DELIMITER

See Also:
  Constant Field Values

### OUTPUTTER_CLASS

    static final java.lang.String OUTPUTTER_CLASS

See Also:
  Constant Field Values

### OUTPUTTER_SUPPORT_XML

    static final java.lang.String OUTPUTTER_SUPPORT_XML

See Also:
  Constant Field Values

### OUTPUTTER_EXTENSION_FILTER

    static final java.lang.String OUTPUTTER_EXTENSION_FILTER

See Also:
  Constant Field Values

### PLAIN_TXT_OUTPUTTER_ID

    static final java.lang.String PLAIN_TXT_OUTPUTTER_ID

See Also:
  Constant Field Values

### XML_OUTPUTTER_ID

    static final java.lang.String XML_OUTPUTTER_ID

See Also:
  Constant Field Values

### HTML_OUTPUTTER_ID

    static final java.lang.String HTML_OUTPUTTER_ID

See Also:
  Constant Field Values

### CSV_OUTPUTTER_ID

    static final java.lang.String CSV_OUTPUTTER_ID

See Also:
  Constant Field Values

### COLUMN_ALIGNED

    static final java.lang.String COLUMN_ALIGNED

  five type of delimiters *

### COMMA_SEPARATED

    static final java.lang.String COMMA_SEPARATED

### TAB_DELIMITED

    static final java.lang.String TAB_DELIMITED

### USER_DEFINED

    static final java.lang.String USER_DEFINED

### CSV_SEPARATED

    static final java.lang.String CSV_SEPARATED

### DEFAULT_USER_DEFINED_DEMILITER

    static final java.lang.String DEFAULT_USER_DEFINED_DEMILITER

### USER_DEFINED_DELIMITER_COUNT

    static final int USER_DEFINED_DELIMITER_COUNT

See Also:
  Constant Field Values

### DELIMITER_COLUMN

    static final java.lang.String DELIMITER_COLUMN

See Also:
  Constant Field Values

### DELIMITER_COMMA

    static final java.lang.String DELIMITER_COMMA

See Also:
  Constant Field Values

### DELIMITER_TAB

    static final java.lang.String DELIMITER_TAB

See Also:
  Constant Field Values

### OUTPUT_FORMATS

    static final java.lang.String[] OUTPUT_FORMATS

### RESOURCE_TYPE

    static final java.lang.String RESOURCE_TYPE

See Also:
  Constant Field Values